import { OnChanges, SimpleChanges } from '@angular/core';
import { SizeProp } from '@fortawesome/fontawesome-svg-core';
export declare class FaStackItemSizeDirective implements OnChanges {
    /**
     * Specify whether icon inside {@link FaStackComponent} should be rendered in
     * regular size (1x) or as a larger icon (2x).
     */
    stackItemSize: '1x' | '2x';
    /**
     * @internal
     */
    size?: SizeProp;
    ngOnChanges(changes: SimpleChanges): void;
}
